Bug 248617 - Review Request: cdcollect - Simple CD/DVD catalog for GNOME
Review Request: cdcollect - Simple CD/DVD catalog for GNOME
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 15:31 EDT by Dan Horák
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 16:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2007-07-17 15:31:56 EDT
Spec URL: http://fedora.danny.cz/cdcollect.spec
SRPM URL: http://fedora.danny.cz/cdcollect-0.6.0-1.src.rpm

Description: CDCollect is a simple CD/DVD catalog for GNOME written in C# using Mono and GTK#. All data are stored in a sqlite database.

notes:
 - rpmlint output can be ignored for Mono package
 - builds and runs in FC6/x86_64 and Development/i386
Comment 1 Parag AN(पराग) 2007-09-24 05:39:47 EDT
You want to ignore all rpmlint output
cdcollect.i386: W: invalid-license GPL
The value of the License tag was not recognized.  Known values are:
"Adobe", "Affero GPL", "AFL", "ARL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL
1.1+", "ASL 2.0", "ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic 2.0",
"Artistic clarified", "BitTorrent", "Boost", "BSD", "BSD with advertising",
"CeCILL", "CDDL", "CPL", "Condor", "Copyright only", "Cryptix", "Crystal
Stacker", "EPL", "eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "Giftware",
"Glide", "gnuplot", "GPL+", "GPL+ or Artistic", "GPLv2", "GPLv2 with
exceptions", "GPLv2+", "GPLv3", "GPLv3+", "IBM", "IJG", "ImageMagick",
"iMatix", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer", "LGPLv2",
"LGPLv2 with exceptions", "LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff", "LPL",
"LPPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+",
"NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OpenPBS", "OSL 1.0",
"OSL 1.0+", "OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL
3.0+", "OpenSSL", "Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL",
"Ruby", "Sleepycat", "SISSL", "SLIB", "SPL", "TCL", "UCD", "Vim", "VNLSL",
"VSL", "W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "zlib", "CDL", "FBSDDL", "GFDL",
"IEEE", "OFSFDL", "Open Publication", "CC-BY", "CC-BY-SA", "DSL", "Free Art",
"Arphic", "Bitstream Vera", "mplus", "OFL", "Utopia", "XANO",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".

cdcollect.i386: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

cdcollect.i386: E: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.


Also, you desktop file command should be
desktop-file-install --vendor="fedora" \
                     --remove-category="Application" \
                     --delete-original \
                     --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
                     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop



Comment 2 Dan Horák 2007-09-24 08:57:03 EDT
No, I want to ignore only the 2. and 3. AFAIK the package conforms with
http://fedoraproject.org/wiki/Packaging/Mono.

updated Spec URL: http://fedora.danny.cz/cdcollect.spec
updated SRPM URL: http://fedora.danny.cz/cdcollect-0.6.0-2.src.rpm

changes
- updated the license tag
- fixed desktop file installation
Comment 3 Parag AN(पराग) 2007-09-24 13:40:45 EDT
thanks for update. will review it tomorrow.
Comment 4 Parag AN(पराग) 2007-09-26 01:10:07 EDT
you SHOULD use
1) Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
2) mock build went successful after removing BR: pkgconfig. So you should remove
pkgconfig.
Comment 5 Dan Horák 2007-09-26 04:11:39 EDT
updated Spec URL: http://fedora.danny.cz/cdcollect.spec
updated SRPM URL: http://fedora.danny.cz/cdcollect-0.6.0-3.src.rpm

changes
- fixed URLs
- removed unneeded BR: pkgconfig
Comment 6 Parag AN(पराग) 2007-09-26 07:11:07 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM
- rpmlint complains for RPM as
  cdcollect.i386: E: no-binary
  cdcollect.i386: E: only-non-binary-in-usr-lib
   But these can be ignored for mono packages.
+ source files match upstream.
33f71604b9dfb84497b4bc2fce69e89b  cdcollect-0.6.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ GConf scriptlets are used.
+ Desktop file handled correctly.
+ Package cdcollect-0.6.0-3.fc8 ->
  Provides: config(cdcollect) = 0.6.0-3.fc8 mono(cdcollect) = 0.2.2825.11093
  Requires: /bin/sh config(cdcollect) = 0.6.0-3.fc8 gnome-sharp gtk-sharp2 >=
2.8.0 mono-core >= 1.1.17 mono-data-sqlite sqlite >= 3.3.5
+ GUI app.

APPROVED.
Comment 7 Dan Horák 2007-09-26 07:27:22 EDT
New Package CVS Request
=======================
Package Name: cdcollect
Short Description: Simple CD/DVD catalog for GNOME
Owners: sharkcz
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-09-26 12:44:42 EDT
cvs done. 
Comment 9 Dan Horák 2007-09-26 16:33:14 EDT
imported and build
set ExcludeArch: ppc64 as Mono doesn't exist there

Note You need to log in before you can comment on or make changes to this bug.